Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kStatus Struct Reference
kApi

## Description

Represents an error code.

kStatus supports the kdat6 serialization protocol.

Inheritance diagram for kStatus:

## Public Member Functions
const kChar * | kStatus_Name (kStatus status)
| Returns a text string representing the name of a status code (e.g. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Related
#define | kERROR_STATE
| Invalid state.
#define | kERROR_NOT_FOUND
| Item is not found.
#define | kERROR_COMMAND
| Command not recognized.
#define | kERROR_PARAMETER
| Parameter is invalid.
#define | kERROR_UNIMPLEMENTED
| Feature not implemented.
#define | kERROR_MEMORY
| Out of memory.
#define | kERROR_TIMEOUT
| Action timed out.
#define | kERROR_INCOMPLETE
| Buffer insufficient for data.
#define | kERROR_STREAM
| Error in stream.
#define | kERROR_CLOSED
| Resource is no longer available.
#define | kERROR_VERSION
| Incompatible version.
#define | kERROR_ABORT
| Operation aborted.
#define | kERROR_ALREADY_EXISTS
| Conflicts with existing item.
#define | kERROR_NETWORK
| Network setup/resource error.
#define | kERROR_HEAP
| Heap error (leak/double-free).
#define | kERROR_FORMAT
| Data parsing/formatting error.
#define | kERROR_READ_ONLY
| Object is read-only (cannot be written).
#define | kERROR_WRITE_ONLY
| Object is write-only (cannot be read).
#define | kERROR_BUSY
| Agent is busy (cannot service request).
#define | kERROR_CONFLICT
| State conflicts with another object.
#define | kERROR_OS
| Generic error reported by underlying OS.
#define | kERROR_DEVICE
| Hardware device error.
#define | kERROR_FULL
| Resource is already fully utilized.
#define | kERROR_IN_PROGRESS
| Operation is in progress, but not yet complete.
#define | kERROR
| General error.
#define | kOK
| Operation successful.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- kApiDef.h